
Katello - Bug #4505

System registration fails with "RuntimeError: Expect initializer"

02/28/2014 02:42 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Fails with - " RuntimeError: Expect initializer to return hash if a group of attributes is defined by lazy_accessor". See attached

production.log for full stack trace. After chatting with Ivan, system registration needs to be updated to use the same method found in

the V2 Systems controller for creation.

Associated revisions

Revision 79bd5eaf - 02/28/2014 04:14 PM - Ivan Necas

fixes #4505 - rhsm register though Dynflow

Revision 5fe76225 - 03/03/2014 12:58 PM - Ivan Necas

Merge pull request #3761 from iNecas/update-consumer-create

fixes #4505 - rhsm register though Dynflow

History

#1 - 02/28/2014 03:53 PM - Ivan Necas

- Category set to API

- Assignee set to Ivan Necas

#2 - 02/28/2014 04:14 PM - Ivan Necas

Fix proposed in https://github.com/Katello/katello/pull/3761

#3 - 02/28/2014 04:15 PM - Ivan Necas

- Status changed from New to Assigned

#4 - 03/03/2014 01:52 PM - Ivan Necas

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:79bd5eaf88ba5053aaa3b6878a8218c83a66c5e1.

#5 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#6 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13

Files

production.log 43.3 KB 02/28/2014 Eric Helms
